Agents
Read what an agent is doing now
The agent right now: calls it is on, calls ringing, calls waiting for a line, its ring pace over the last minute, when the last waiting call should ring, whether outgoing calls are on hold and whether it is outside its working hours. says.text is the same sentence the console shows, in the agent’s first person. Cheap enough to read every 5 seconds.
GET
/
v2
/
agents
/
{agent_id}
/
home
/
live
Read what an agent is doing now
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/agents/{agent_id}/home/live \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/agents/{agent_id}/home/live"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/agents/{agent_id}/home/live';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"object": "agent_home_live",
"now": "2026-11-15T11:42:10Z",
"on_call": 20,
"ringing": 3,
"waiting": 90,
"lines": {
"guaranteed": 20,
"in_use": 20
},
"pace_per_min": 15,
"last_ring_at": "2026-11-15T11:48:10Z",
"oldest_waiting_expires_at": "2026-11-15T11:58:00Z",
"hold": {
"held": false,
"by": null,
"at": null
},
"closed": {
"closed": false,
"opens_at": null,
"closes_at": null
},
"calls": [
{
"id": "call_01K2M4RB8CDEFGHJKMNPQRST",
"status": "in_progress",
"origin": "api",
"direction": "outbound",
"to": "+919812345678",
"from": "+918047351142",
"campaign_id": null,
"created_at": "2026-11-15T11:30:02Z",
"dialed_at": "2026-11-15T11:41:20Z",
"started_at": "2026-11-15T11:41:28Z"
}
],
"recent": [
{
"id": "call_01K2M4QZ7ABCDEFGHJKMNPQR",
"origin": "api",
"direction": "outbound",
"outcome": "talked",
"created_at": "2026-11-15T11:29:40Z",
"dialed_at": "2026-11-15T11:38:02Z",
"started_at": "2026-11-15T11:38:09Z",
"ended_at": "2026-11-15T11:40:31Z"
}
],
"today": {
"calls": 1458,
"connected": 809,
"success": 96
},
"last_call_at": "2026-11-15T11:40:31Z",
"says": {
"state": "working",
"text": "I'm on 20 calls. 90 more are waiting; the last one rings by 17:18. Today so far: 96 results.",
"parts": [
{
"t": "I'm on "
},
{
"t": "20",
"ref": "now"
},
{
"t": " calls. "
},
{
"t": "90",
"ref": "now"
},
{
"t": " more are waiting; the last one rings by "
},
{
"t": "17:18",
"ref": "now"
},
{
"t": ". Today so far: "
},
{
"t": "96",
"ref": "came_to"
},
{
"t": " results."
}
]
}
}⌘I
Read what an agent is doing now
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/agents/{agent_id}/home/live \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/agents/{agent_id}/home/live"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/agents/{agent_id}/home/live';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"object": "agent_home_live",
"now": "2026-11-15T11:42:10Z",
"on_call": 20,
"ringing": 3,
"waiting": 90,
"lines": {
"guaranteed": 20,
"in_use": 20
},
"pace_per_min": 15,
"last_ring_at": "2026-11-15T11:48:10Z",
"oldest_waiting_expires_at": "2026-11-15T11:58:00Z",
"hold": {
"held": false,
"by": null,
"at": null
},
"closed": {
"closed": false,
"opens_at": null,
"closes_at": null
},
"calls": [
{
"id": "call_01K2M4RB8CDEFGHJKMNPQRST",
"status": "in_progress",
"origin": "api",
"direction": "outbound",
"to": "+919812345678",
"from": "+918047351142",
"campaign_id": null,
"created_at": "2026-11-15T11:30:02Z",
"dialed_at": "2026-11-15T11:41:20Z",
"started_at": "2026-11-15T11:41:28Z"
}
],
"recent": [
{
"id": "call_01K2M4QZ7ABCDEFGHJKMNPQR",
"origin": "api",
"direction": "outbound",
"outcome": "talked",
"created_at": "2026-11-15T11:29:40Z",
"dialed_at": "2026-11-15T11:38:02Z",
"started_at": "2026-11-15T11:38:09Z",
"ended_at": "2026-11-15T11:40:31Z"
}
],
"today": {
"calls": 1458,
"connected": 809,
"success": 96
},
"last_call_at": "2026-11-15T11:40:31Z",
"says": {
"state": "working",
"text": "I'm on 20 calls. 90 more are waiting; the last one rings by 17:18. Today so far: 96 results.",
"parts": [
{
"t": "I'm on "
},
{
"t": "20",
"ref": "now"
},
{
"t": " calls. "
},
{
"t": "90",
"ref": "now"
},
{
"t": " more are waiting; the last one rings by "
},
{
"t": "17:18",
"ref": "now"
},
{
"t": ". Today so far: "
},
{
"t": "96",
"ref": "came_to"
},
{
"t": " results."
}
]
}
}